Bug 1020874 - Add subscriptions button on platform->Content->Subscriptions tab displays HTTP Status 404 in UI
Add subscriptions button on platform->Content->Subscriptions tab displays HTT...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Content (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity high
: ER02
: JON 3.3.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 08:21 EDT by Sunil Kondkar
Modified: 2014-12-11 09:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Issues with the Subscriptions form code caused attempts to add a subscription to the JBoss Patches repository in the Platform > Content > Subscriptions view to fail with a HTTP Status 404 error. Improvements to the form code are now implemented that fix the originally reported issue.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:03:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (95.14 KB, image/png)
2013-10-18 08:22 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2013-10-18 08:21:46 EDT
Description of problem:

On the platform->Content->Subscriptions tab, if user selects the 'JBoss Patches' repo in Available Repositories section and clicks on Add subscriptions button, it displays 'JBWEB000065: HTTP Status 404 - /rhq/resource/content/subscription-plain.xhtml' in UI. There are no errors in server log.

Please refer the attached screenshot.

Version-Release number of selected component (if applicable):

JBoss ON Version: 3.2.0.ER3 Build Number: c0742ed:90dd474
Browser: Firefox 10.0.2

How reproducible:

Always

Steps to Reproduce:

1. Navigate to platform->Content->Subscriptions tab.
2. In the section 'Available Repositories', select the 'JBoss Patches' repo.
3. Click on 'Add subscriptions' button.

Actual results:

It displays 'JBWEB000065: HTTP Status 404 - /rhq/resource/content/subscription-plain.xhtml' in UI

Expected results:

Add subscriptions should be successful.

Additional info:
Comment 1 Sunil Kondkar 2013-10-18 08:22:49 EDT
Created attachment 813763 [details]
Screenshot
Comment 2 Simeon Pinder 2013-11-08 09:41:38 EST
Moving to unspecified target milestone as only JON 3.2.0 'blockers'(https://url.corp.redhat.com/bz-jon32-blockers-list-notmodified-nodocs) will make it into subsequent builds after ER5.
Comment 4 Jirka Kremser 2014-08-25 11:25:46 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/16dc0beca
time:    2014-08-25 17:24:36 +0200
commit:  16dc0beca66f4f90fea5fac44c7243037b022b21
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1020874] - Add subscriptions button on
         platform->Content->Subscriptions tab displays HTTP Status 404
         in UI - adding the form action JS hack
Comment 5 Thomas Segismont 2014-08-28 05:29:22 EDT
Merged into release/jon3.3.x

commit ebd8136da8dbdf25bac9147a9237e142d758b21c
Author: Jirka Kremser <jkremser@redhat.com>
Date:   Mon Aug 25 17:24:36 2014 +0200

    (cherry picked from commit 16dc0beca66f4f90fea5fac44c7243037b022b21)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>
Comment 6 Simeon Pinder 2014-09-03 16:32:00 EDT
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194

Note You need to log in before you can comment on or make changes to this bug.